package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 适用组织-对象类型
 */
public enum ApplicableOrganizationEnum implements BaseEnum {

    PERSONNEL("0","人员"),
    PERSONNEL_GROUP("1","人员分组"),
    DEPARTMENT("2","部门"),
    SUBCOMPANY("3","分部");

    private String key;
    private String value;

    ApplicableOrganizationEnum(String key, String value){
        this.key=key;
        this.value=value;
    }

    @Override
    public String getKey() {

        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
